Trouble updating from version 1.6.1.0 to 1.7.3.0

Can anyone help me figure out why I can’t download the update. This is the message I get when I click the download update button:

“Installation and Runtime location mismatch.
Scrivener is not currently running from its last installed location.
Runtime Location: ‘C:\Program Files (x86)\Scrivener\Scrivener.exe’
Installed Location: ‘C:\Program Files (x86)\Scrivener\Scrivener.exe’
To download and install the update, please uninstall or manually remove any copies of Scrivener not at the Installed Location path above, then restart Scrivener from there and select Help>Check for Updates…”

Thanks,
Sharon

That’s a known problem with some of the older updaters. You can fix the problem, and update simultaneously, by downloading the regular installer from the web site and running that .exe. You can run it right over your current install. Sorry about that!